Get File Info - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get File Info
GET
/
v1
/file-infos/{fileInfoId}
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/file-infos/{fileInfoId} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/file-infos/{fileInfoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/file-infos/{fileInfoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Structure
200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"name": "<string>",
"formatDetected": true
}
Authorizations
Authorization
Type: string
Location: header
Required: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
- fileInfoId:
string(required)
Additional Response Information
- id:
The unique object identifier. - version:
Data integrity version to ensure data consistency. - creationDate:
Original creation date of the object. - lastModifiedDate:
Date of the last update. - createdUserInfo:
Details of the user who created the object. - lastModifiedUserInfo:
Details of the user who last modified it. - name:
Name of the underlying file or table. - formatDetected:
Indicates if a known format was detected. - format:
Detected format options include: QUICKBOOKS_JOURNAL, QUICKBOOKS_JOURNAL_2024, etc.